#include <SPI.h>
#include <MFRC522.h> // appel de la bibliothèque pour le lecteur rfid
#include "SerialMP3Player.h" // appel de la bibliothèque pour le lecteur sd
#include <LiquidCrystal.h> // appel de la bibliothèque pour écran


#define SS_PIN 3 //connectique pour le lecteur rfid à respecter (SDA)
#define RST_PIN 2 //connectique pour le lecteur rfid à respecter (RST)
MFRC522 mfrc522(SS_PIN, RST_PIN);
#define TX A1 //connectique pour le lecteur sd, correspond au RX de la carte
#define RX A2 //connectique pour le lecteur sd, correspond au TX de la carte
SerialMP3Player mp3(RX, TX);
LiquidCrystal lcd(8, 9, 4, 5, 6, 7); // connectique pour l'écran LCD

void setup()
{
  Serial.begin(9600);
  SPI.begin();
  mfrc522.PCD_Init();
  mp3.begin(9600); // fréquence à respecter
  mp3.sendCommand(CMD_SEL_DEV, 0, 2);
  mp3.setVol(30); // ici on peut régler le volume en sortie par défaut du lecteur sd de 0 à 30
  Serial.println("init OK");

}

String menu = "                Mettre un jeton";
int i = 0;


void loop()
{

  lcd.clear();
  lcd.print(menu);
  while (!mfrc522.PICC_IsNewCardPresent())
  {
    if ( i < menu.length()) {
      lcd.scrollDisplayLeft();
      delay(500);
    }
    else {
      lcd.clear();
      lcd.print(menu); i = 0;
    }
    i++;
  }

  if ( ! mfrc522.PICC_ReadCardSerial())
  {
    return;
  }

  CARDS();//Renvoi ici vers les lignes de commandes CARDS pour gérer l'identification des puces,
  //lignes de commande placées dans un onglet séparé pour faciliter la comprehension

  //
  bool cardRemoved = false;
  int counter = 0;
  bool current, previous;
  previous = !mfrc522.PICC_IsNewCardPresent();
  while (!cardRemoved)
  {
    current = !mfrc522.PICC_IsNewCardPresent();
    if (current && previous) counter++;
    previous = current;
    cardRemoved = (counter > 2);
    delay(50);

  }

  NO_CARDS();//Renvoi ici vers les lignes de commandes No_CARDS pour gérer l'arrêt du son si la puce n'est en contact avec le lecteur.
  //lignes de commande placées dans un onglet séparé pour faciliter la comprehensi

  mfrc522.PICC_HaltA();
  return;

}


